import com.sun.jna.Memory;

import net.mw3.etewt3.handlers.MWPlayer;
import net.mw3.etewt3.handlers.MemoryHack;
import net.mw3.etewt3.script.ScriptEngine;
import net.mw3.etewt3.utils.Constants;
import net.mw3.etewt3.utils.Filter;
import net.mw3.etewt3.utils.Vector;

/**
 * @author Mark
 * 
 */
public class AdvancedUAV extends ScriptEngine {
	private int value = -1;

	@Override
	public int loop() {
		System.out.println(MemoryHack.readMemory(0x8FAAF0, 4).getInt(0));
		//MemoryHack.writeMemory(0x007E8B88, 1, 4);
		/*if(MemoryHack.readMemory(value + 0xC, 4).getInt(0) != 1)
			MemoryHack.writeMemory(value + 0xC, 1, 4);
		MemoryHack.writeMemory(0x8FF080 + 0x204, 1, 4);*/
		return 5;
	}

	@Override
	public boolean onStart() {
		value = MemoryHack.readMemory(0x1C2C39C, 4).getInt(0);
		MemoryHack.writeMemory(value + 0xC, 1, 4);
		return true;
	}
}
